Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2944533003: Implement AssetLinkRetriever for Asset Links in Chrome. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 days, 2 hours ago by vasilii
Modified:
3 days, 5 hours ago
Reviewers:
vabr (Chromium)
CC:
chromium-reviews, gcasto+watchlist_chromium.org, vabr+watchlistpasswordmanager_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement AssetLinkRetriever for Asset Links in Chrome. The class makes a network request to a digital asset link. The spec is https://github.com/google/digitalassetlinks/blob/master/well-known/details.md BUG=630555 Review-Url: https://codereview.chromium.org/2944533003 Cr-Commit-Position: refs/heads/master@{#480421} Committed: https://chromium.googlesource.com/chromium/src/+/2e6f9506e592058cb9ea2a7494a6f7dfa0f165a9

Patch Set 1 #

Total comments: 10

Patch Set 2 : comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+253 lines, -0 lines) Patch
M components/password_manager/core/browser/BUILD.gn View 2 chunks +3 lines, -0 lines 0 comments Download
A components/password_manager/core/browser/site_affiliation/asset_link_retriever.h View 1 1 chunk +67 lines, -0 lines 0 comments Download
A components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc View 1 1 chunk +75 lines, -0 lines 0 comments Download
A components/password_manager/core/browser/site_affiliation/asset_link_retriever_unittest.cc View 1 chunk +108 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (12 generated)
vasilii
Hi Vaclav, please review.
6 days, 2 hours ago (2017-06-16 16:11:39 UTC) #4
vabr (Chromium)
Hi Vasilii, This LGTM, with some comments and questions. Cheers, Vaclav https://codereview.chromium.org/2944533003/diff/1/components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc File components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc (right): ...
4 days, 2 hours ago (2017-06-18 16:37:51 UTC) #7
vasilii
https://codereview.chromium.org/2944533003/diff/1/components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc File components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc (right): https://codereview.chromium.org/2944533003/diff/1/components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc#newcode68 components/password_manager/core/browser/site_affiliation/asset_link_retriever.cc:68: state_ = State::FINISHED; On 2017/06/18 16:37:51, vabr (Chromium) wrote: ...
3 days, 6 hours ago (2017-06-19 12:20:20 UTC) #10
vabr (Chromium)
Still LGTM. In general, it would be helpful to point out the plans (new PARSING ...
3 days, 5 hours ago (2017-06-19 13:07:55 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2944533003/20001
3 days, 5 hours ago (2017-06-19 13:23:18 UTC) #15
commit-bot: I haz the power
3 days, 5 hours ago (2017-06-19 13:28:12 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/2e6f9506e592058cb9ea2a7494a6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318